package org.springblade.person.feign;

import org.springblade.person.entity.Member;
import org.springblade.person.vo.MemberVO;
import org.springframework.stereotype.Component;

import javax.validation.Valid;
import java.util.List;

@Component
public class MemberClientFallback implements IMemberClient {



	/**
	 * 详情
	 */
	@Override
	public MemberVO detail(Member member) {
		return null;
	}

	/**
	 * 查询 会员表--小程序端，app端注册的会员信息
	 */
	@Override
	public List<MemberVO> list(Member member) {
		return null;
	}


	/**
	 * 新增 会员表--小程序端，app端注册的会员信息
	 */
	@Override
	public boolean save(Member member) {
		return false;
	}

	/**
	 * 修改 会员表--小程序端，app端注册的会员信息
	 */
	@Override
	public boolean update(Member member) {
		return false;
	}

	/**
	 * 新增或修改 会员表--小程序端，app端注册的会员信息
	 */
	@Override
	public boolean submit(Member member) {
		return false;
	}


	/**
	 * 删除 会员表--小程序端，app端注册的会员信息
	 */
	@Override
	public boolean remove(String ids) {
		return false;
	}

	@Override
	public Member getById(Long id) {
		return null;
	}

}
